'Función programada por Briefer - https://briefer666.itch.io/
'Extraída del juego BORIELRACE publicado en 
'https://bytemaniacos.com/ficheros/concursos/2023_basic/borielrace.zip    

SUB doubleSizePrintChar(y as uByte, x as uByte, char as String)
    DIM char_address,font_address as uInteger
    DIM char_code,char_byte,pixel_x,pixel_y as uByte
    LET font_address=peek(uInteger,23606)
    LET char_code=CODE(char)
    LET char_address=font_address+CAST(uInteger,char_code)*8
    DIM col,row AS UBYTE
    FOR row=0 to 7 
        LET char_byte=PEEK (uByte,char_address+row)
        FOR col=0 to 7
            LET pixel_x=x*8+col*2
            LET pixel_y=190-y*8-row*2
            IF char_byte bAND (%10000000>>col) THEN
                PLOT pixel_x,pixel_y
                PLOT pixel_x+1,pixel_y
                PLOT pixel_x+1,pixel_y+1
                PLOT pixel_x,pixel_y+1
            END IF
        NEXT col
    NEXT row
END SUB

SUB doubleSizePrint(y as uByte, x as uByte, text as String)
    DIM n,length as uByte
    LET length=LEN(text)
    FOR n=0 to length-1
        doubleSizePrintChar(y,x+n*2,text(n TO n))
    NEXT n
END SUB
